Bug 1008454 - Missing javadoc for javax.rmi.api
Missing javadoc for javax.rmi.api
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Other (Show other bugs)
6.2.0
Unspecified Unspecified
unspecified Severity high
: ER5
: EAP 6.2.0
Assigned To: Yong Yang
Jakub Cechacek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-16 07:42 EDT by Jakub Cechacek
Modified: 2015-02-01 18:00 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-15 11:55:36 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jakub Cechacek 2013-09-16 07:42:45 EDT
Current javadoc is missing documentation for following jars and packages 
home/jcechace/tools/eap/eap6/620/jboss-eap-6.2/modules/system/layers/base/javax/rmi/api/main/jboss-rmi-api_1.0_spec-1.0.4.Final-redhat-2.jar
56 missing:
   javax.rmi
   javax.rmi.CORBA
   org.jboss.com.sun.corba.se.pept.encoding
   org.jboss.com.sun.corba.se.pept.transport
   org.jboss.com.sun.corba.se.pept.broker
   org.jboss.com.sun.corba.se.pept.protocol
   org.jboss.com.sun.corba.se.org.omg.CORBA
   org.jboss.com.sun.corba.se.spi.orbutil.threadpool
   org.jboss.com.sun.corba.se.spi.orbutil.closure
   org.jboss.com.sun.corba.se.spi.orbutil.fsm
   org.jboss.com.sun.corba.se.spi.orbutil.proxy
   org.jboss.com.sun.corba.se.spi.encoding
   org.jboss.com.sun.corba.se.spi.monitoring
   org.jboss.com.sun.corba.se.spi.copyobject
   org.jboss.com.sun.corba.se.spi.presentation.rmi
   org.jboss.com.sun.corba.se.spi.transport
   org.jboss.com.sun.corba.se.spi.ior
   org.jboss.com.sun.corba.se.spi.ior.iiop
   org.jboss.com.sun.corba.se.spi.activation
   org.jboss.com.sun.corba.se.spi.servicecontext
   org.jboss.com.sun.corba.se.spi.oa
   org.jboss.com.sun.corba.se.spi.protocol
   org.jboss.com.sun.corba.se.spi.resolver
   org.jboss.com.sun.corba.se.spi.logging
   org.jboss.com.sun.corba.se.spi.legacy.connection
   org.jboss.com.sun.corba.se.spi.extension
   org.jboss.com.sun.corba.se.spi.orb
   org.jboss.com.sun.corba.se.impl.orbutil
   org.jboss.com.sun.corba.se.impl.orbutil.concurrent
   org.jboss.com.sun.corba.se.impl.orbutil.closure
   org.jboss.com.sun.corba.se.impl.orbutil.fsm
   org.jboss.com.sun.corba.se.impl.orbutil.graph
   org.jboss.com.sun.corba.se.impl.encoding
   org.jboss.com.sun.corba.se.impl.io
   org.jboss.com.sun.corba.se.impl.monitoring
   org.jboss.com.sun.corba.se.impl.presentation.rmi
   org.jboss.com.sun.corba.se.impl.transport
   org.jboss.com.sun.corba.se.impl.corba
   org.jboss.com.sun.corba.se.impl.ior
   org.jboss.com.sun.corba.se.impl.ior.iiop
   org.jboss.com.sun.corba.se.impl.javax.rmi
   org.jboss.com.sun.corba.se.impl.javax.rmi.CORBA
   org.jboss.com.sun.corba.se.impl.util
   org.jboss.com.sun.corba.se.impl.oa
   org.jboss.com.sun.corba.se.impl.oa.poa
   org.jboss.com.sun.corba.se.impl.protocol
   org.jboss.com.sun.corba.se.impl.protocol.giopmsgheaders
   org.jboss.com.sun.corba.se.impl.logging
   org.jboss.com.sun.corba.se.impl.legacy.connection
   org.jboss.com.sun.corba.se.impl.orb
   org.jboss.com.sun.org.omg.SendingContext
   org.jboss.com.sun.org.omg.SendingContext.CodeBasePackage
   org.jboss.com.sun.org.omg.CORBA
   org.jboss.com.sun.org.omg.CORBA.ValueDefPackage
   org.jboss.com.sun.org.omg.CORBA.portable
   org.jboss.sun.corba


Document URL: 

Section Number and Name: 

Describe the issue: 

Suggestions for improvement: 

Additional information:
Comment 1 Misty Stanley-Jones 2013-10-09 23:16:54 EDT
I'm not sure what the right component is for Javadoc bugs, but Documentation should be used for formal documentation maintained by Content Services. Javadoc does not fall under this category. Maybe we need a new component for it?
Comment 2 Yong Yang 2013-10-10 04:17:48 EDT
Fixed in EAP6.2.0 ER5.
Comment 3 Jakub Cechacek 2013-10-10 08:13:25 EDT
Verified 6.2.0.ER5

Note You need to log in before you can comment on or make changes to this bug.